import matplotlib as mpl
label_size = 10
mpl.rcParams['xtick.labelsize'] = label_size 
mpl.rcParams['ytick.labelsize'] = label_size
import matplotlib.pyplot as plt

fig, ax = plt.subplots()
x = [0]
y = [0]
ticks = [-24,-20,-16,-12,-8,-6,-4,-2,0,2,4,6,8,12,16,20,24]
colors = ['k']*len(x)
ax.scatter(x, y, c=colors, alpha=0.5)
ax.set_xlim((-24.5,24.5))
ax.set_ylim((-24.5,24.5))
ax.xaxis.tick_top()
plt.xticks(ticks)
plt.yticks(ticks)
plt.gca().invert_yaxis()
ax.tick_params(direction='out')
ax.set_aspect('equal')
#ax.grid(b=True, which='major', color='k', linestyle='--')
fig.savefig('test.pdf', dpi=1200)
plt.close(fig)
